import { JSX } from '../../stencil-public-runtime';
export interface TableHeaderCell {
    label: string | JSX.Element;
    colspan?: string;
    rowspan?: string;
    headers?: string;
}
export interface TableRowCell {
    label: string | JSX.Element;
    group?: boolean;
    headers?: string;
    'data-ecl-table-header'?: string;
    'data-ecl-table-header-group'?: string;
}
export interface TableRow {
    extraClasses?: string;
    extraAttributes?: {
        name: string;
        value?: string;
    }[];
    data: TableRowCell[];
}
export declare class EclTable {
    el: HTMLElement;
    elId: string;
    theme: string;
    noScript: boolean;
    colorMode: string;
    headers?: string;
    rows?: string;
    styleClass: string;
    caption?: string;
    simple: boolean;
    zebra: boolean;
    sortable: boolean;
    labelSortAscending?: string;
    labelSortDescending?: string;
    labelSortDefault?: string;
    parsedHeaders: TableHeaderCell[][];
    parsedRows: TableRow[];
    componentWillLoad(): void;
    componentDidRender(): void;
    getClass(): string;
    renderHead(): any;
    renderBody(): any;
    render(): any;
}
